
import java.util.Arrays;
import javax.swing.ImageIcon;
import javax.swing.JLabel;

/**
 *
 * @author cacunas
 */
public class Ensayo {

  private ImageIcon select;
  private JLabel label;
  private char respuestas[]; // 'a' | 'b' | 'c' |'d'| 'e'
  @SuppressWarnings("unused")
  private int full = 0, pregunta = 0;
  @SuppressWarnings("unused")
  private EssayLoader eh;
  private userHandler user = new userHandler();

  public Ensayo(userHandler u) throws Exception {
	  if(user.searchUser(u.getUserName()))
		  user.loadStats();
	eh = new EssayLoader();
    select = new ImageIcon(getClass().getResource("/img/select.png"));
    respuestas = new char[75];
    Arrays.fill(respuestas, '0'); //'0' -> SIN RESPUESTA
  }

  public void nuevoEnsayo(JLabel alternativa[]) {
    for (int i = 0; i < alternativa.length; i++) {
      alternativa[i].setIcon(null);
    }
    Arrays.fill(respuestas, '0');
  }

  public void nuevasAlternativas(JLabel alternativa[]) {
    for (int i = 0; i < alternativa.length; i++) {
      alternativa[i].setIcon(null);      
    }
  }

  public int marcarAlternativaA(Object source) {     
   label = (JLabel) source;
    if (label.getIcon() == null) {
      label.setIcon(select);
    }
    respuestas[pregunta] = 'a';/*
    if(eh.getRight(pregunta).equals(respuestas[pregunta])){
    	user.getEssay(pregunta).setGood((user.getEssay(pregunta).getGood()+1));
    } else if(respuestas[pregunta] == '0'){
    	user.getEssay(pregunta).setOmitted((user.getEssay(pregunta).getOmitted()+1));
    } else {
    	user.getEssay(1).setBad((user.getEssay(1).getBad()+1));
    }*/
    pregunta++;
    if (pregunta > 75) {
      return 1;
    } else {
      return 0;
    }
  }
  public int marcarAlternativaB(Object source) {
   label = (JLabel) source;
    if (label.getIcon() == null) {
      label.setIcon(select);
    }
    respuestas[pregunta] = 'b';/*
    if(eh.getRight(pregunta).equals(respuestas[pregunta])){
    	user.getEssay(pregunta).setGood((user.getEssay(pregunta).getGood()+1));
    } else if(respuestas[pregunta] == '0'){
    	user.getEssay(pregunta).setOmitted((user.getEssay(pregunta).getOmitted()+1));
    } else {
    	user.getEssay(pregunta).setBad((user.getEssay(pregunta).getBad()+1));
    }*/
  pregunta++;
    if (pregunta > 75) {
      return 1;
    } else {
      return 0;
    }
  }
  public int marcarAlternativaC(Object source) {
   label = (JLabel) source;
    if (label.getIcon() == null) {
      label.setIcon(select);
    }
    respuestas[pregunta] = 'c';/*
    if(eh.getRight(pregunta).equals(respuestas[pregunta])){
    	user.getEssay(pregunta).setGood((user.getEssay(pregunta).getGood()+1));
    } else if(respuestas[pregunta] == '0'){
    	user.getEssay(pregunta).setOmitted((user.getEssay(pregunta).getOmitted()+1));
    } else {
    	user.getEssay(pregunta).setBad((user.getEssay(pregunta).getBad()+1));
    }*/
  pregunta++;
    if (pregunta > 75) {
      return 1;
    } else {
      return 0;
    }
  }
  public int marcarAlternativaD(Object source) {
   label = (JLabel) source;
    if (label.getIcon() == null) {
      label.setIcon(select);
    }
  respuestas[pregunta] = 'd';/*
  if(eh.getRight(pregunta).equals(respuestas[pregunta])){
  	user.getEssay(pregunta).setGood((user.getEssay(pregunta).getGood()+1));
  } else if(respuestas[pregunta] == '0'){
  	user.getEssay(pregunta).setOmitted((user.getEssay(pregunta).getOmitted()+1));
  } else {
  	user.getEssay(pregunta).setBad((user.getEssay(pregunta).getBad()+1));
  }*/
  pregunta++;
    if (pregunta > 75) {
      return 1;
    } else {
      return 0;
    }
  }
  public int marcarAlternativaE(Object source) {
	  label = (JLabel) source;
	  if (label.getIcon() == null) {
		  label.setIcon(select);
	  }  
	  respuestas[pregunta] = 'e';/*
	  if(eh.getRight(pregunta).equals(respuestas[pregunta])){
	    	user.getEssay(pregunta).setGood((user.getEssay(pregunta).getGood()+1));
	    } else if(respuestas[pregunta] == '0'){
	    	user.getEssay(pregunta).setOmitted((user.getEssay(pregunta).getOmitted()+1));
	    } else {
	    	user.getEssay(pregunta).setBad((user.getEssay(pregunta).getBad()+1));
	    }*/
	  pregunta++;
	  if (pregunta > 75) {
		  return 1;
	  } else {
		  return 0;
	  }
  }
}